<script setup lang="ts">
import { useDetail } from "../config/detail";
import { detailProps } from "../types";
import { INV_RETURN_COLUMNS } from "/@/utils/details/inv-return";
import BasicDescriptions from "/@/components/BasicDescriptions";

const props = defineProps(detailProps);
defineEmits(["map-offset-top"]);

const { data, code, defaultRef } = useDetail(props);
</script>

<template>
  <BasicDescriptions
    :show="code === '0'"
    ref="defaultRef"
    :data="data"
    :columns="INV_RETURN_COLUMNS"
  />
</template>
